catalog:
  title: kognichef-kinect-server

templates:
- make
- base

variables:
  description: KogniChef Kinect Server Library and Application
  access: private

  repository: https://synergy.cit-ec.de/git/kognihome-tp1.kognichef-kinect-server.git
  scm.credentials: synergy.cit-ec
  branches:
  - master
  - '0.4'
  - csra

  extra-requires:
  - nature: pkg-config
    target: ICL-10.0
  - nature: cmake
    target: RSB
  - nature: cmake
    target: RSC
  - nature: cmake
    target: RST

  shell.environment:
  - INSTALL_PREFIX="${toolkit.dir}"
  - PC_DEPS="ICL-10.0 rsb0.17 rst0.17 rsc0.17 rstsandbox0.17"
  - QUIET=FALSE
  - DEBUG=FALSE
  - '@{next-value|[]}'
